/*==============================================================*/
/* Database name:  WebPM10(ORA8)                                */
/* DBMS name:      ORACLE Version 8                             */
/* Created on:     2001-7-20 11:01:05                           */
/*==============================================================*/


drop table tbl_projecttask cascade constraints
/


drop table tbl_groupuser cascade constraints
/


drop table tbl_sysparm cascade constraints
/


drop table tbl_projectfile cascade constraints
/


drop table tbl_projectevent cascade constraints
/


drop table tbl_projectbug cascade constraints
/


drop table tbl_user cascade constraints
/


drop table tbl_group cascade constraints
/


drop table tbl_project cascade constraints
/


drop table tbl_projectdata cascade constraints
/


drop table tbl_projectmember cascade constraints
/


drop table tbl_projectdoc cascade constraints
/


/*==============================================================*/
/* Table : tbl_projectdoc                                       */
/*==============================================================*/


create table tbl_projectdoc  (
   fid                  INTEGER                          not null,
   fdocname             VARCHAR2(80)                     not null,
   fdocversion          VARCHAR2(20)                     not null,
   fdoctype             VARCHAR2(50)                     not null,
   fdocsize             VARCHAR2(50),
   fdocdate             DATE,
   fmodifydate          DATE,
   fdescription         VARCHAR2(100),
   fcontent             VARCHAR2(250),
   constraint PK_TBL_PROJECTDOC primary key (fid)
)
/


comment on table tbl_projectdoc is 'Ŀĵ'
/


comment on column tbl_projectdoc.fid is 'ϵͳ'
/


comment on column tbl_projectdoc.fdocname is 'ĵ'
/


comment on column tbl_projectdoc.fdocversion is 'ĵ汾'
/


comment on column tbl_projectdoc.fdoctype is 'ĵ'
/


comment on column tbl_projectdoc.fdocsize is 'ĵС'
/


comment on column tbl_projectdoc.fdocdate is ''
/


comment on column tbl_projectdoc.fmodifydate is '޸'
/


comment on column tbl_projectdoc.fdescription is ''
/


comment on column tbl_projectdoc.fcontent is ''
/


/*==============================================================*/
/* Table : tbl_projectmember                                    */
/*==============================================================*/


create table tbl_projectmember  (
   fid                  INTEGER                          not null,
   fprojectid           INTEGER                          not null,
   fmemberid            INTEGER                          not null,
   fmembertype          VARCHAR2(1)                      not null,
   fdescription         VARCHAR2(100),
   fisadmin             VARCHAR2(1)                      not null,
   constraint PK_TBL_PROJECTMEMBER primary key (fid)
)
/


comment on table tbl_projectmember is 'ĿԱ'
/


comment on column tbl_projectmember.fid is 'ϵͳ'
/


comment on column tbl_projectmember.fprojectid is 'Ŀ'
/


comment on column tbl_projectmember.fmemberid is 'ӱ'
/


comment on column tbl_projectmember.fmembertype is ''
/


comment on column tbl_projectmember.fdescription is ''
/


comment on column tbl_projectmember.fisadmin is 'ǷԱ'
/


/*==============================================================*/
/* Table : tbl_projectdata                                      */
/*==============================================================*/


create table tbl_projectdata  (
   fid                  INTEGER                          not null,
   fprojectid           INTEGER                          not null,
   fdataid              INTEGER                          not null,
   fdatatype            VARCHAR2(1)                      not null,
   fcontent             VARCHAR2(250),
   fauthor              INTEGER,
   constraint PK_TBL_PROJECTDATA primary key (fid)
)
/


comment on table tbl_projectdata is 'Ŀϱ'
/


comment on column tbl_projectdata.fid is 'ϵͳ'
/


comment on column tbl_projectdata.fprojectid is 'Ŀ'
/


comment on column tbl_projectdata.fdataid is 'ӱ'
/


comment on column tbl_projectdata.fdatatype is ''
/


comment on column tbl_projectdata.fcontent is ''
/


comment on column tbl_projectdata.fauthor is ''
/


/*==============================================================*/
/* Table : tbl_project                                          */
/*==============================================================*/


create table tbl_project  (
   fid                  INTEGER                          not null,
   fname                VARCHAR2(40)                     not null,
   factivestate         VARCHAR2(20)                     not null,
   fdescription         VARCHAR2(100),
   fcontent             VARCHAR2(250),
   fauthor              INTEGER,
   fstartdate           DATE,
   fprojectstate        VARCHAR2(1),
   fenddate             DATE,
   constraint PK_TBL_PROJECT primary key (fid)
)
/


comment on table tbl_project is 'Ŀ'
/


comment on column tbl_project.fid is 'ϵͳ'
/


comment on column tbl_project.fname is ''
/


comment on column tbl_project.factivestate is '״̬'
/


comment on column tbl_project.fdescription is ''
/


comment on column tbl_project.fcontent is ''
/


comment on column tbl_project.fauthor is ''
/


comment on column tbl_project.fstartdate is 'ʼ'
/


/*==============================================================*/
/* Table : tbl_group                                            */
/*==============================================================*/


create table tbl_group  (
   fid                  INTEGER                          not null,
   fname                VARCHAR2(40)                     not null,
   factivestate         VARCHAR2(20)                     not null,
   fdescription         VARCHAR2(100),
   fcontent             VARCHAR2(250),
   constraint PK_TBL_GROUP primary key (fid)
)
/


comment on table tbl_group is 'Ŀ鶨'
/


comment on column tbl_group.fid is 'ϵͳ'
/


comment on column tbl_group.fname is ''
/


comment on column tbl_group.factivestate is '״̬'
/


comment on column tbl_group.fdescription is ''
/


comment on column tbl_group.fcontent is ''
/


/*==============================================================*/
/* Table : tbl_user                                             */
/*==============================================================*/


create table tbl_user  (
   fid                  INTEGER                          not null,
   fname                VARCHAR2(40),
   factivestate         VARCHAR2(20)                     not null,
   floginid             VARCHAR2(20)                     not null,
   flogpass             VARCHAR2(20)                     not null,
   femail               VARCHAR2(50),
   fcompany             VARCHAR2(80),
   fdepartment          VARCHAR2(50),
   fphone               VARCHAR2(50),
   fmobile              VARCHAR2(20),
   fdescription         VARCHAR2(100),
   constraint PK_TBL_USER primary key (fid)
)
/


comment on table tbl_user is 'ϵͳעû'
/


comment on column tbl_user.fid is 'ϵͳ'
/


comment on column tbl_user.fname is ''
/


comment on column tbl_user.factivestate is '״̬'
/


comment on column tbl_user.floginid is 'û¼'
/


comment on column tbl_user.flogpass is 'û¼'
/


comment on column tbl_user.femail is 'ʼ'
/


comment on column tbl_user.fcompany is '˾'
/


comment on column tbl_user.fdepartment is ''
/


comment on column tbl_user.fphone is '绰'
/


comment on column tbl_user.fmobile is 'ֻ'
/


comment on column tbl_user.fdescription is ''
/


/*==============================================================*/
/* Table : tbl_projectbug                                       */
/*==============================================================*/


create table tbl_projectbug  (
   fid                  INTEGER                          not null,
   fbudname             VARCHAR2(80)                     not null,
   fbugtype             VARCHAR2(20)                     not null,
   fauthor              INTEGER                          not null,
   fdescription         VARCHAR2(100),
   fcontent             VARCHAR2(250),
   constraint PK_TBL_PROJECTBUG primary key (fid)
)
/


comment on table tbl_projectbug is 'Ŀб'
/


comment on column tbl_projectbug.fid is 'ϵͳ'
/


comment on column tbl_projectbug.fauthor is ''
/


comment on column tbl_projectbug.fdescription is ''
/


comment on column tbl_projectbug.fcontent is ''
/


/*==============================================================*/
/* Table : tbl_projectevent                                     */
/*==============================================================*/


create table tbl_projectevent  (
   fid                  INTEGER                          not null,
   fname                VARCHAR2(40)                     not null,
   factivestate         VARCHAR2(20)                     not null,
   fdescription         VARCHAR2(100),
   fcontent             VARCHAR2(250),
   fauthor              INTEGER                          not null,
   constraint PK_TBL_PROJECTEVENT primary key (fid)
)
/


comment on table tbl_projectevent is 'Ŀ¼'
/


comment on column tbl_projectevent.fid is 'ϵͳ'
/


comment on column tbl_projectevent.fname is ''
/


comment on column tbl_projectevent.factivestate is '״̬'
/


comment on column tbl_projectevent.fdescription is ''
/


comment on column tbl_projectevent.fcontent is ''
/


comment on column tbl_projectevent.fauthor is ''
/


/*==============================================================*/
/* Table : tbl_projectfile                                      */
/*==============================================================*/


create table tbl_projectfile  (
   fid                  INTEGER                          not null,
   ffilename            VARCHAR2(80)                     not null,
   fpackage             VARCHAR2(50)                     not null,
   fauthor              INTEGER                          not null,
   ffiletype            VARCHAR2(20)                     not null,
   ffilesize            VARCHAR2(20),
   ffiledate            DATE,
   ffileversion         VARCHAR2(10),
   fdescription         VARCHAR2(100),
   fcontent             VARCHAR2(250),
   constraint PK_TBL_PROJECTFILE primary key (fid)
)
/


comment on table tbl_projectfile is 'Ŀļ'
/


comment on column tbl_projectfile.fid is 'ϵͳ'
/


comment on column tbl_projectfile.ffilename is 'ļ'
/


comment on column tbl_projectfile.fpackage is 'ļ'
/


comment on column tbl_projectfile.fauthor is ''
/


comment on column tbl_projectfile.ffiletype is 'ļ'
/


comment on column tbl_projectfile.ffilesize is 'ļС'
/


comment on column tbl_projectfile.ffiledate is 'ļ'
/


comment on column tbl_projectfile.ffileversion is 'ļ汾'
/


comment on column tbl_projectfile.fdescription is ''
/


comment on column tbl_projectfile.fcontent is ''
/


/*==============================================================*/
/* Table : tbl_sysparm                                          */
/*==============================================================*/


create table tbl_sysparm  (
   fid                  INTEGER                          not null,
   fparmname            VARCHAR2(80)                     not null,
   fparmversion         VARCHAR2(20)                   default '0'  not null,
   fstringvalue         VARCHAR2(250),
   flongvalue           INTEGER,
   fdescription         VARCHAR2(100),
   flinkobject          INTEGER,
   factivestate         VARCHAR2(20),
   constraint PK_TBL_SYSPARM primary key (fid)
)
/


comment on table tbl_sysparm is 'ϵͳ'
/


comment on column tbl_sysparm.fid is 'ϵͳ'
/


comment on column tbl_sysparm.fdescription is ''
/


comment on column tbl_sysparm.factivestate is '״̬'
/


/*==============================================================*/
/* Table : tbl_groupuser                                        */
/*==============================================================*/


create table tbl_groupuser  (
   fid                  INTEGER                          not null,
   fgroupid             INTEGER                          not null,
   fuserid              INTEGER                          not null,
   fisadmin             VARCHAR2(1)                      not null,
   constraint PK_TBL_GROUPUSER primary key (fid)
)
/


comment on table tbl_groupuser is 'ϵͳû'
/


comment on column tbl_groupuser.fid is 'ϵͳ'
/


comment on column tbl_groupuser.fgroupid is ''
/


comment on column tbl_groupuser.fuserid is 'û'
/


comment on column tbl_groupuser.fisadmin is 'ǷԱ'
/


/*==============================================================*/
/* Table : tbl_projecttask                                      */
/*==============================================================*/


create table tbl_projecttask  (
   fid                  INTEGER                          not null,
   fname                VARCHAR2(40)                     not null,
   factivestate         VARCHAR2(20)                     not null,
   ftasklevel           VARCHAR2(10),
   fdescription         VARCHAR2(100),
   ftasktype            VARCHAR2(10),
   fauthor              INTEGER,
   fstartdate           DATE,
   fapproved            INTEGER,
   fallowdate           DATE,
   fcompletedate        DATE,
   constraint PK_TBL_PROJECTTASK primary key (fid)
)
/


comment on table tbl_projecttask is 'Ŀ'
/


comment on column tbl_projecttask.fid is 'ϵͳ'
/


comment on column tbl_projecttask.fname is ''
/


comment on column tbl_projecttask.factivestate is '״̬'
/


comment on column tbl_projecttask.ftasklevel is '񼶱'
/


comment on column tbl_projecttask.fdescription is ''
/


comment on column tbl_projecttask.fauthor is ''
/


comment on column tbl_projecttask.fstartdate is 'ʼ'
/


comment on column tbl_projecttask.fapproved is '׼'
/


comment on column tbl_projecttask.fallowdate is '׼'
/


comment on column tbl_projecttask.fcompletedate is ''
/


